# Cosmos: Create Transaction Payload

{{ #include template-create-tx-0.md:content }}

1. Use icepick to generate and sign the payload by running one of the following available workflows:
	#### Stake
	Stake coins on the provided chain.

	`$ icepick workflow cosmos stake --delegate-address <delegate-address> --validator-address <validator-address> --chain-name <chain-name> --asset-name <asset-name> --asset-amount <asset-amount> --gas-factor <gas-factor> --export-for-quorum --sign`

	#### Transfer
	Transfer coins on the cosmos blockchain.

	`$ icepick workflow cosmos transfer --from-address <from-address> --to-address <to-address> --asset-name <asset-name> --asset-amount <asset-amount> --export-for-quorum --sign`

	#### Withdraw
	Withdraw staked coins from a validator. Staked coins may be held for an unbonding period, depending on the chain upon which they are staked.

	`$ icepick workflow cosmos withdraw --delegate-address <delegate-address> --validator-address <validator-address> --asset-name <asset-name> --gas-factor <gas-factor> --export-for-quorum-sign`


	#### Withdraw Rewards
	Withdraw rewards gained from staking to a validator.

	`$ icepick workflow cosmos withdraw-rewards --delegate-address <delegate-address> --validator-address <validator-address> --gas-factor <gas-factor> --export-for-quorum-sign`

{{ #include template-create-tx-1.md:content }}
